+ Antworten
Seite 1 von 2 1 2 LetzteLetzte
Ergebnis 1 bis 10 von 13
  1. #1

    Beschissenes Essentials-Plugin mach nut Ärger

    Hallo Freunde,

    Ich hatte versucht, einen eigenen Server aufzusetzen, der die Möglichkeiten eines Vanilla-Servers übersteigt. Leider ist das kläglich gescheitert,
    weil die ganze dafür benötigte Bukkitliebe mit Fehlern über Fehlern durchsetzt ist. Anders kann ich mir das nicht erklären, Ich bin wirklich kein Dummkopf was
    sowas angeht, ich habe alles richtig gemacht und die besten Anleitungen buchstabengetreu befolgt. Ich habe mir die modernste Minecraftversion runtergeladen, die
    modernste Bukkitversion und die modernste Essentialsversion. Bis Schritt zwei (Bukkit) funktionierte alles. Als ich dann versuchte, die Essentials zu installieren,
    bekam ich beim Neustarten diverse detaillierte Fehlermeldungen, dass er irgendwelche Items nicht kennt oder sowas (Hää?) und diverse JavaExceptions. Nun habe
    ich es mit EssentialsX versucht. Das soll angeblich Fehlerfreier sein. Das stimmt auch, es lief dann zumindest grundsätzlich schonmal. Dann versuchte ich einige
    Befehle, und natürlich funktionieren die wichtigsten Befehle wie /spawn /setspawn und derartige ÜBERHAUPT NICHT. DIER WERDEN NICHT MAL GEFUNDEN
    "essentialsx spawn commands not available" auf google liefert natürlich nur ergebnisse für essentials, aber nicht für essentials mit einem wundervollen x
    hintendran...

    Wenn jemand tipps hatt, wie man diese vollkommen fehlerfreie, vollkommen benutzerfreundliche Bukkitliebe richtig in den Griff bekommt, bin ich für alle Tipps
    dankbar. Entschuldigt das ich so ungehalten bin. Aber dieser Mist hat mich gerade VIER STUNDEN meines Sonntages gekostet. Ich habe keinen Bock mich immer
    mit den Fehlern fähiger Programmierer rumärgern zu mpssen, Liebe nochmal.

    ich dankevom herzen für alle antworten auf meine zurzeit wichtigste frage: wie kriege ich die diversen spawncommands auf Essentials--->X<--- zum laufen?
    ich danke für alle antworten!
    Geändert von Zweistein2 (19.06.2017 um 18:32 Uhr)

  2. #2
    Bergarbeiter Avatar von pinkpoint
    Registriert seit
    08.11.2016
    Beiträge
    171
    Hii,

    was ist bei Dir die neueste Version? 1.12 ist offiziell raus, aber es funktionieren noch nicht alle Plugins!!!

    Du gibst keinerlei Angaben, welche Essentials Version Du verwendest. Wie sollen wir da daraus schlau werden? Ich gebe Dir hier mal einen Link zu Essentials, das bei mir unter 1.11 und 1.12 funktioniert -> Download hier. Du benötigst Essentials, Chat und Spawn. Protecten ist einfacher mit WorldGuard anstelle AntiBuild.

    PS: Anstatt Bukkit kannst Du die Spigot Serversoftware verwenden. Einfach gemäss Spigot das Build-Tools benutzen und die Software generieren lassen.

    LG Tammy

    Edit: Normalerweise fügt man bei solchen Problemen das "Server-Log" hinzu, damit man sofort sieht, was wo klemmt
    Geändert von pinkpoint (18.06.2017 um 22:46 Uhr)

    Survival Server mit Fun für reifere Spieler, ausgesuchte Plugins

    LargeBiome & extreme Bergwelt zum Bauen, Farmwelt
    Jobs, McMMO, FastCraft, Spezialrezepte, BossMobs, CraftBook, .....


    survival-plus.noip.me:26888 | http://survival-plus.noip.me





  3. Mag ich Black__Hole mag diesen Beitrag
  4. #3
    Landwirt Avatar von HSVMalle
    Registriert seit
    21.09.2011
    Beiträge
    89
    Also zunächst einmal kann ich deine Unmut verstehen. Ich hatte letztens auch einen Moment wo ich mich kaum halten konnte. Und diese Momente habe ich öfters, da ich oft leider die Fehler nicht erkenne und dementsprechend mir doppelte Arbeit mache.
    Ich investiere also viele Stunden in Minecraft und das obwohl ich nur einen Server mit ein paar Freunden Privat betreibe. Leider sind diese noch untalentierter in Sachen "Serverwartung" wie ich, so dass ich mich opfern muss

    Aber ich bitte dich nochmal darüber nachzudenken was du im letzten Absatz geschrieben hast. Es ist einfach eine Anmaßung den Erstellern von wichtigen und grundsätzlich gut funktionierenden Plugins wie Essentials(oder bei Sponge Nucleus) als unfähig zu bezeichnen,
    nur weil du es nicht konfiguriert bekommst. Und ja ich kann dich wie gesagt verstehen. Auch ich hab manchmal Probleme und sehe den Wald vor lauter Bäumen nicht. Aber mir würde es nie in den Sinn kommen
    öffentlich Leute als unfähig zu bezeichnen, welche eine nachweislich wichtig und viel genutzte und geschätzte Software in ihrer Freizeit rausbringen.
    Bitte bedenke das. Ich bin nicht derjenige, der gerne Moralpredigten hält, aber gerade bei essenziellen Plugins wie Essentials/Nucleus welche etliche Commands/Funktionen hinzufügen sollte man ein wenig Respekt entgegenbringen.

    Ansonsten kann ich dir noch für den Server Sponge empfehlen. Das ist ein guter Spigot/Bukkit Ersatz womit du beinahe alles wie auch auf Spigot machen kannst. Auch wenn die Pluginauswahl noch ein wenig hinterherhinkt. Liegt aber auch daran, dass es Sponge noch nicht so lange gibt.
    Läuft aber mittlerweile sehr stabil. Wenn du bzgl. aufsetzen des Servers Fragen hast, kannst du sie mir auch gerne per PN stellen .

    Um nochmal genau auf dein Problem einzugehen: Ich kenne sowas ähnliches. Der Server erkennt zwar die Plugins und vereinzelt gehen die Befehle auch, aber einige wiederum nicht oder nur eingeschränkt(gelegentlich sogar mit Server Abstürzen).
    In diesem Fall würde ich den Ratschlag meines Vorposters empfehlen. Nochmal die Versionen genaustens überprüfen. Ich wusste auch garnicht, dass es neue Bukkit Versionen gibt?. Ich dachte die letzte war 1.8 und wurde mit dem Namen Spigot "fortgeführt"?.
    Geändert von HSVMalle (18.06.2017 um 23:44 Uhr)

  5. Mag ich -Basti- mag diesen Beitrag
  6. #4
    Bergarbeiter Avatar von pinkpoint
    Registriert seit
    08.11.2016
    Beiträge
    171
    Zitat Zitat von HSVMalle Beitrag anzeigen
    Ich wusste auch garnicht, dass es neue Bukkit Versionen gibt?. Ich dachte die letzte war 1.8 und wurde mit dem Namen Spigot "fortgeführt"?.
    Seit dem "Konflikt", den es bei Bukkit gab, wurde seitens Bukkit keine Server Version mehr veröffentlicht. Dies übernahm wie Du richtig geschrieben hast, nun Spigot. Es darf jedoch keine fertige Server-Software veröffentlicht werden. Daher muss man die Software mit "Build-Tools" generieren lassen. Ein Durchlauf generiert eine Bukkit und eine Spigot Version.

    Ich finde die Spigot Version etwas performanter und konnte bisher nie ein kurzes zurückruckeln des Himmels wie bei Bukkit beobachten. Es lassen sich in der spigot.yml auch mehr Möglichkeiten konfigurieren/feineinstellen.

    Bei Plugins sollte man immer zuerst bei Spigot suchen (Suchmaschine -> "spigot pluginname"). Dort findet man oft die aktuelleren Versionen als bei Bukkit. Manchmal findet man bei Bukkit das gesuchte Plugin gar nicht, da seit dem "Bukkit Konflikt" einige Programmierer ihre Plugins nur noch bei Spigot einstellen.

    LG Tammy

    Survival Server mit Fun für reifere Spieler, ausgesuchte Plugins

    LargeBiome & extreme Bergwelt zum Bauen, Farmwelt
    Jobs, McMMO, FastCraft, Spezialrezepte, BossMobs, CraftBook, .....


    survival-plus.noip.me:26888 | http://survival-plus.noip.me





  7. Mag ich Black__Hole mag diesen Beitrag
  8. #5
    Landwirt Avatar von HSVMalle
    Registriert seit
    21.09.2011
    Beiträge
    89
    Zitat Zitat von pinkpoint Beitrag anzeigen
    Seit dem "Konflikt", den es bei Bukkit gab, wurde seitens Bukkit keine Server Version mehr veröffentlicht. Dies übernahm wie Du richtig geschrieben hast, nun Spigot. Es darf jedoch keine fertige Server-Software veröffentlicht werden. Daher muss man die Software mit "Build-Tools" generieren lassen. Ein Durchlauf generiert eine Bukkit und eine Spigot Version.

    Ich finde die Spigot Version etwas performanter und konnte bisher nie ein kurzes zurückruckeln des Himmels wie bei Bukkit beobachten. Es lassen sich in der spigot.yml auch mehr Möglichkeiten konfigurieren/feineinstellen.

    Bei Plugins sollte man immer zuerst bei Spigot suchen (Suchmaschine -> "spigot pluginname"). Dort findet man oft die aktuelleren Versionen als bei Bukkit. Manchmal findet man bei Bukkit das gesuchte Plugin gar nicht, da seit dem "Bukkit Konflikt" einige Programmierer ihre Plugins nur noch bei Spigot einstellen.

    LG Tammy
    Ah danke. Ich bin bzgl. des DMCA Dilemmas im Bilde. Ich wusste aber nicht, dass man durch das kompilieren auch eine aktuelle Bukkit Version rausbekommt. Danke für den Hinweis, auch wenn ich seit 1 1/2 Jahren Sponge nutze und vollkommen zufrieden bin.
    Ich selber verwalte aber auch nur einen Privaten Server mit ein paar Freunden und weiß dementsprechend nicht wie sich Sponge auf großen Servern mit viel Plugins/Mods und hoher Auslastung schlägt. Große Probleme habe ich da aber noch nicht mitbekommen.

  9. #6
    WAT?
    Registriert seit
    27.09.2011
    Beiträge
    539
    Zitat Zitat von Dexter1997 Beitrag anzeigen
    Bukkitscheiße
    Zitat Zitat von Dexter1997 Beitrag anzeigen
    spastische Fehlermeldungen
    Zitat Zitat von Dexter1997 Beitrag anzeigen
    beschissenem x
    Zitat Zitat von Dexter1997 Beitrag anzeigen
    vollkommen fehlerhafte, vollkommen anfängerfeindliche Bukkitscheiße
    Zitat Zitat von Dexter1997 Beitrag anzeigen
    dieser Mist
    Zitat Zitat von Dexter1997 Beitrag anzeigen
    Scheiße nochmal.
    Sag mal geht's noch? Das ist mit Abstand der widerlichste Beitrag, der mir bisher hier aufgefallen ist.
    All diese Servermods werden von anderen Spielern in ihrer Freizeit meines Wissens nach unentgeltlich programmiert, bei vielen anderen Leuten läuft es problemlos

    Zitat Zitat von Dexter1997 Beitrag anzeigen
    ich habe alles richtig gemacht
    ist natürlich leicht gesagt. Wie kannst du da so sicher sein? Du bist ja nicht einmal in der Lage, hier mal grundlegende Angaben zu machen, beispielsweise auf welchem Betriebssystem der Server laufen soll und welches Java eingesetzt wird, mal ganz abgesehen von Logs oder konkreten Versionsangaben.

    Wer sich so verhält, der sollte wirklich keinen Server betreiben.
    Manchmal, wenn man ganz, ganz leise ist und das Ohr an den Router legt, kann man das Internet leise weinen hören.

  10. #7
    Forengestein Avatar von Zweistein2
    Registriert seit
    21.10.2010
    Beiträge
    2.593
    Zitat Zitat von -Basti- Beitrag anzeigen
    Sag mal geht's noch? Das ist mit Abstand der widerlichste Beitrag, der mir bisher hier aufgefallen ist.
    Wurde behoben.


  11. #8
    WAT?
    Registriert seit
    27.09.2011
    Beiträge
    539
    Zitat Zitat von Zweistein2 Beitrag anzeigen
    Wurde behoben.
    Sehr genial
    Manchmal, wenn man ganz, ganz leise ist und das Ohr an den Router legt, kann man das Internet leise weinen hören.

  12. #9
    Team BroFist Avatar von fabrossmann
    Registriert seit
    31.10.2013
    Beiträge
    40
    Schick mal die Logs hier rein, bitte über Pastebin oder so. Normalerweise sind das immer die eigenen Fehler nicht die vom Plugin

  13. #10
    Ich danke für eure liebevollen Antworten. Ich habe mich nach einiger Zeit von dem Ärger erholt (bzw. jetzt) und bin nun gewillt das alles nochmal zu probieren. Mal schauen was es diesmal wird. Eure Antworten werden mir sicherlich dienlich sein

    Ich probiere jetzt einfach mal Sponge aus. Sponge für 1.12 ist scheinbar noch nicht raus. Probiere es dann erstmal mit 1.10.
    Geändert von Dexter1997 (16.08.2017 um 14:11 Uhr)

+ Antworten